EtherMess
=========

EtherMess is a protocol for direct messaging over bare Ethernet as well as
a reference implementation for it in C and Python.

Building and installing
-----------------------
Build with `make` and install with `make install`. If you are installing
somewhere other than the default of /usr/local, please set `PREFIX` to that
location during both build and installation steps.

`make install` will tell you how to set the correct capability on
`ethermess-backend` to allow running it as a normal user.

Protocol documentation
----------------------
Description of the EtherMess protocol is provided as a man page
`ethermess.7`. The description is contractual, and may not change in
incompatible ways unless the version number in the EtherMess packets is
updated.

Additionally a description of the protocol spoken between
`ethermess-backend` and `ethermess` is provided to help understand the
code and develop alternative frontends. The description is non-contractual
and the protocol may change with future versions of `ethermess`.

Licensing
---------
Everything in the repository is under Creative Commons Zero 1.0 Universal
license.
